Subject: Re: bug#71386: 29.1; Frame is auto-deleted even when it has multiple tabs

From: Ship Mints <[email-masked]>
Date: Sun, 30 Mar 2025 10:38:48 -0400

On Sun, Mar 30, 2025 at 9:55 AM martin rudalics <[email-masked]> wrote:

>  > I'll give it a try.  I have a question, though, and sorry if the answer
> is
>  > obvious.  Where is the window parameter 'quit-restore get set 'tab to
> begin
>  > with?
>
> At the very end of 'display-buffer-record-window'
>
>     ((eq type 'tab)
>      ;; WINDOW has been created on a new tab.
>      (set-window-parameter
>       window 'quit-restore
>       (list 'tab 'tab (selected-window) buffer)))))
>
> I suppose.  The initial call is from 'display-buffer-in-new-tab'.
>

Makes sense.  Thank you.  I don't use those display actions.  Juri's patch
should address the main issue for both use cases.  I hope to try it out
later today.

Minor point...when reading through the code, I think the docstrings for
'window--display-buffer' and 'display-buffer-record-window' need to add
'tab to the TYPE section in each.